### Function

# Cogl program_link

deprecated: 1.16 since: 13

#### Declaration [src]

    void
    cogl_program_link (
      CoglHandle handle
    )

#### Description [src]

Links a program making it ready for use. Note that calling this function is optional. If it is not called the program will automatically be linked the first time it is used.

Available since: 13

Deprecated since: 1.16

Use `CoglSnippet` api.

#### Parameters

`handle`

  Type: `CoglHandle`

  A `CoglHandle` for a shader program.